*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif
}

.container{
    width: 80%;
    margin: auto;
}

hr{
    background: #fff;
}

.fas,.fab{
    transition: 0.5s;
}

.fas:hover,.fab:hover{
    transform: scale(1.2);
}

/*--Head--*/

#head{
    background: linear-gradient(180deg, rgba(76,76,119,0.7346288857339811) 70%, rgba(42,42,65,1) 100%),url(img/bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 70vh;
}

.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    padding-top: 15px;
}

.navbar ul{
    list-style: none;
    display: flex;
}

.navbar ul li{
    padding: 20px;
}

.navbar ul li a{
    text-decoration: none;
    color: #fff;
}

.navbar a{
    transition: 0.5s;
}

.navbar a:hover{
    color: #c9c9ff;
}

.navbar a{
    text-decoration: none;
    color: #fff;
}

.head-content{
    text-align: center;
    margin: 100px auto;
    color: #fff;
}

.head-content h1{
    font-size: 32px;
}

.head-content p{
    font-size: 20px;
}

/*--Features--*/

#features{
    background: #2a2a41;
    color: #fff;
}

.features-content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    text-align: center;
    padding: 50px 0;
}

.feature h1{
    font-size: 20px;
}

.feature .fas{
    font-size: 34px;
    margin: 10px;
}

/*--Portfolio(mainpage)--*/

#portfolio{
    background: #2a2a41;
    color: #fff;
    padding-top: 50px;
}

.portfolio-head{
    text-align: center;
    padding: 0 10px 10px 10px;
    margin-bottom: 20px;
}

.portfolio-head h1{
    font-size: 32px;
}

.portfolio-head p{
    font-size: 18px;
}

.portfolio-content{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.portfolio-overlay-1{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-2{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-3{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-4{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-5{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-6{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-7{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}
.portfolio-overlay-8{
    background: linear-gradient(180deg, rgba(42,42,65,0.7626400902157738) 70%, rgba(54,54,83,0.7822479333530288) 100%),url(img/bg.jpg);
    background-size: cover;
    height: 400px;
}

.portfolio-overlay-1,.portfolio-overlay-2,.portfolio-overlay-3,.portfolio-overlay-4,.portfolio-overlay-5,.portfolio-overlay-6,.portfolio-overlay-7,.portfolio-overlay-8{
    margin: 25px;
    border-radius: 20px;
    border: 1px solid #fff;
}

.portfolio{
    opacity: 0;
    height: inherit;
    transition: 1s;
}

.portfolio:hover{
    opacity: 1;
}

.portfolio-text{
    padding: 100px;
    text-align: center;
}

.portfolio-text h1{
    padding: 10px;
}

.portfolio-text p{
    padding: 10px 0 20px;
}

.portfolio-text a{
    padding: 7px 10px;
    color: #2a2a41;
    text-decoration: none;
    background: #fff;
    border-radius: 5px;
    border: 1px solid #2a2a41;
    transition: 0.5s;
}

.portfolio-text a:hover{
    color: #fff;
    background: #2a2a41;
}

.portfolio-extra{
    text-align: center;
    padding: 10px 50px 50px 50px;
}

.portfolio-extra h1{
    padding: 20px;
}

.portfolio-extra a{
    text-decoration: none;
    background: #4c4c77;
    color: #fff;
    padding: 10px;
    border-radius: 10px;
    transition: 0.5s;
    border: 1px solid #4c4c77;
}

.portfolio-extra a:hover{
    color: #4c4c77;
    background: #fff;
}

/*--Pricing--*/

#pricing{
    background: #2a2a41;
    color: #fff;
    text-align: center;
    padding-top: 100px;
}

.pricing-content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.pricing-item{
    height: 350px;
    border: 1px solid #fff;
    padding: 20px;
    margin: 30px;
    border-radius: 10px;
    background: #363653;
    transition: 0.5s;
}

.pricing-item hr{
    margin: 20px 0;
}

.pricing-item h3{
    padding: 7px;
}

.pricing-item h2{
    padding-top: 40px;
}

.pricing-item:hover{
    transform: scale(1.050);
}

/*--Testimonials--*/

#testimonials{
    background: #2a2a41;
    color: #fff;
    padding-top: 100px;
}

.testimonials-content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.testimonial{
    padding: 10px;
    margin: 20px;
}

.testimonial hr{
    margin: 10px 0;
}

.testimonial h2{
    font-size: 20px;
}

.testimonial img{
    height: 38px;
    border-radius: 38px;
}

/*--Contact--*/

#contact{
    background: #2a2a41;
    text-align: center;
    color: #fff;
    padding: 100px 0;
}

.contact-content{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-top: 50px;
}

.contact-content h1{
    font-size: 20px;
    padding: 3px;
    margin-top: 5px;
}

.contact-item .fab,.contact-item .fas{
    font-size: 34px;
}

/*--Footer--*/

#footer{
    background: #45456f;
    text-align: center;
    padding: 10px 0;
}

.footer-content a{
    text-decoration: none;
    color: #fff;
    font-size: 20px;
    padding: 0 10px;
}

/*--Portfolio-content-page--*/

#portfolio-page{
    background: #2a2a41;
    color: #fff;
}

.portfolio-page-content-top{
    display: flex;
}

.left{
    flex-basis: 50%;
    padding: 20px;
}

.left img{
    height: 512px;
    width: 512px;
    border-radius: 20px;
    border: 2px solid #fff;
}

.right{
    flex-basis: 50%;
    flex-direction: column;
    padding: 20px;
}

.right hr{
    margin: 25px 0;
}

.right p{
    line-height: 40px;
}

.portfolio-page-images{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.portfolio-page-images-content img{
    max-width: 100%;
    margin: 50px auto;
    border-radius: 25px;
    border: 2px solid #fff;
}

.portfolio-page-images-content{
    max-width: 100%;
    margin: auto;
    padding: 20px;
}

.padding-portfolio{
    padding-bottom: 100px;
}

/*--Media Queries--*/

@media (max-width: 1400px){
    .right{
        margin-left: 50px;
    }
}

@media (max-width: 1200px){
    .portfolio-page-images{
        grid-template-columns: 1fr;
    }
    .left,.left img{
        max-width: 412px;
        max-height: 412px;
    }
    .portfolio-text{
        padding: 100px 40px;
    }
}

@media (max-width: 1050px){
    .portfolio-page-content-top{
        flex-direction: column;
    }
    .left,.left img{
        max-width: 512px;
        max-height: 512px;
        margin: auto;
    }
    .right{
        margin: 50px;
    }
}

@media (max-width: 900px){
.portfolio-content{
    grid-template-columns: 1fr;
}

.pricing-content{
    grid-template-columns: 1fr 1fr;
}
}

@media (max-width: 660px){
    .navbar ul{
        display: none;
    }
    .testimonials-content{
        grid-template-columns: 1fr
    }
    .pricing-content{
        grid-template-columns: 1fr;
    }  
    .left,.left img{
        max-width: 400px;
        max-height: 400px;
    }
}

@media (max-width: 570px){
    .features-content{
        grid-template-columns: 1fr;
    }
    .feature{
        margin: 20px;
    }
    .contact-content{
        grid-template-columns: 1fr;
    }
    .contact-item{
        margin: 20px;
    }
    .portfolio-text{
        padding: 20px;
    }
    .left,.left img{
        max-width: 350px;
        max-height: 350px;
    }
    .portfolio-page-images-content{
        padding: 0;
    }
}

@media (max-width: 440px){
    .portfolio{
        max-width: 250px;
    }
    .portfolio-overlay-1,.portfolio-overlay-2,.portfolio-overlay-3,.portfolio-overlay-4,.portfolio-overlay-5,.portfolio-overlay-6,.portfolio-overlay-7,.portfolio-overlay-8{
        max-width: 250px;
        margin: 20px auto;
    }
    .left,.left img{
        max-width: 250px;
    }
}

@media (max-width: 340px){
    .contact-item h1{
        font-size: 16px;
    }
    .portfolio-extra{
        padding: 10px;
    }
    .right{
        margin: 50px 0;
    }
    .left,.left img{
        max-width: 200px;
        max-height: 200px;
    }
}